if (fwDir) {
    if (typeof resourceType === 'undefined')
        resourceType = 'html5Exercise';

    getFrameworkAssetDir = function() {
        var fwAssets = getAbsoluteDir() + '/' + rtDir + 'assets';
        return fwAssets;
    }

    getAssetDir = function() {
        return getAbsoluteDir() + '/assets';
    }

    getAbsoluteDir = function() {
        var ad = window['absoluteDir'];
        if (!ad) {
            ad = $('<img />', {src: 'temp.gif'})[0].src;
            ad = ad.replace('temp.gif', '');
            ad = ad.replace(/^\/|\/$/g, '');
            window['absoluteDir'] = ad;
        }
        return ad;
    }
	_onFrameworkLoad = function(){
		var swiffyRuntimeVersion = 'runtime';
		if(resourceType == 'html5Exercise'){
			if(typeof feedbackAnimation == 'object')
				if(typeof JSON == 'object')
					if(typeof JSON.stringify == 'function')	
						if(String(JSON.stringify(feedbackAnimation)).indexOf('"7.2.0') >-1) swiffyRuntimeVersion = 'runtime_v7.2.0';
			ljs.load(fwDir + '/swiffy/'+swiffyRuntimeVersion+'.js',onFrameworkLoad);
		}
	}

    if (resourceType == 'html5Exercise') {
        ljs.load(fwDir + '/jquery/jquery.js',
                fwDir + '/modernizr/modernizr.js',
                fwDir + '/tympanus/css/component.css',
                fwDir + '/tympanus/css/animations.css',
                fwDir + '/tympanus/js/pagetransitions.js',
                fwDir + '/mono-interactive/exerciseLibs/common.js',
                fwDir + '/mono-interactive/exerciseLibs/orders.js',
                fwDir + '/mono-interactive/exerciseLibs/resources.js',
                fwDir + '/mono-interactive/helper.js',
                fwDir + '/mono-interactive/default.js',
                fwDir + '/mono-interactive/default.css',
				fwDir + '/mono-interactive/fonts/fonts.css',
                fwDir + '/bootstrap/bootstrap.js',
                fwDir + '/bootstrap/css/bootstrap.css',
                fwDir + '/createjs/easeljs.js',
                fwDir + '/createjs/easelplugin.js',
                fwDir + '/createjs/tweenjs.js',
                fwDir + '/createjs/movieclip.js',
                fwDir + '/createjs/soundjs.js',
                fwDir + '/createjs/preloadjs.js',
                fwDir + '/gsap/TweenMax.min.js',                
                assetsDir + '/libs/animation.js',
                _onFrameworkLoad
                );
    } else
    if (resourceType == 'simpleHTML') {
        ljs.load(fwDir + '/jquery/jquery.js',
                fwDir + '/modernizr/modernizr.js',
                fwDir + '/mono-interactive/helper.js',
                fwDir + '/mono-interactive/simpleHTML/standardDoc/default.js',
                fwDir + '/mono-interactive/simpleHTML/standardDoc/default.css',
                onFrameworkLoad
                );
    }
}